TestBeanHelper (Apache JMeter dist API)
Description: declaration: package: org.apache.jmeter.testbeans, class: TestBeanHelper

Package org.apache.jmeter.testbeans

# Class TestBeanHelper

java.lang.Object
org.apache.jmeter.testbeans.TestBeanHelper

public class TestBeanHelper extends Object
This is an experimental class. An attempt to address the complexity of writing new JMeter components.

TestBean currently extends AbstractTestElement to support backward-compatibility, but the property-value-map may later on be separated from the test beans themselves. To ensure this will be doable with minimum damage, all inherited methods are deprecated.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected static final org.slf4j.Logger`
  `log`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TestBeanHelper()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static boolean`
  `isDescriptorIgnored(PropertyDescriptor descriptor)`
  Checks whether the descriptor should be ignored, i.e.
  `static void`
  `prepare(org.apache.jmeter.testelement.TestElement el)`
  Prepare the bean for work by populating the bean's properties from the property value map.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### log

    protected static final org.slf4j.Logger log

- ## Constructor Details

  - ### TestBeanHelper

    public TestBeanHelper()

- ## Method Details

  - ### prepare

    public static void prepare(org.apache.jmeter.testelement.TestElement el)
    Prepare the bean for work by populating the bean's properties from the property value map.
    Parameters:
      `el` - the TestElement to be prepared

  - ### isDescriptorIgnored

    public static boolean isDescriptorIgnored(PropertyDescriptor descriptor)
    Checks whether the descriptor should be ignored, i.e.
    - isHidden
    - isExpert and JMeter not using expert mode
    - no read method
    - no write method
    Parameters:
      `descriptor` - the `PropertyDescriptor` to be checked
    Returns:
      `true` if the descriptor should be ignored